# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[8.0].define(version: 2020_11_01_201031) do
  # These are extensions that must be enabled in order to support this database
  enable_extension "pg_catalog.plpgsql"

  create_table "activities", force: :cascade do |t|
    t.bigint "user_id"
    t.datetime "started_at", null: false
    t.datetime "ended_at"
    t.string "platform"
    t.string "item_ref", null: false
    t.string "item_title", null: false
    t.string "item_length"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["platform"], name: "index_activities_on_platform"
    t.index ["started_at"], name: "index_activities_on_started_at"
    t.index ["user_id"], name: "index_activities_on_user_id"
  end

  create_table "logins", force: :cascade do |t|
    t.bigint "user_id"
    t.string "platform", null: false
    t.jsonb "credentials", default: "{}"
    t.datetime "last_refresh_at"
    t.datetime "dead_since"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "failed_count", default: 0
    t.index ["user_id"], name: "index_logins_on_user_id"
  end

  create_table "users", force: :cascade do |t|
    t.string "email", default: "", null: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true
  end

  add_foreign_key "activities", "users"
  add_foreign_key "logins", "users"
end
